package com.yonge.cooleshow.biz.dal.enums.im;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * IM群发方式
 * Created by Eric.Shang on 2022/12/9.
 */
@Getter
public enum EImSendType implements BaseEnum<String, EImSendType> {

    IMMEDIATELY("即时发送"),
    SCHEDULED("定时发送"),
    ;

    @EnumValue
    private final String code;

    private final String msg;

    EImSendType(String msg) {
        this.msg = msg;

        this.code = this.name();
    }
}
